<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="contryInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CountryC']})</ui:define>
        <h:selectOneMenu id="contryInput" styleClass="form-control gzl-select-text"
                         value="#{subjectBean.country}" required="true">
            <f:selectItems value="#{subjectBean.getCountries()}"/>
        </h:selectOneMenu>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="organizationInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.OrganizationO']})</ui:define>
        <h:inputText id="organizationInput" value="#{subjectBean.organization}"
                     required="true" styleClass="form-control">
        </h:inputText>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="commonNameInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CommonNameCN']})</ui:define>
        <h:inputText id="commonNameInput" value="#{subjectBean.commonName}"
                     required="true" styleClass="form-control">
        </h:inputText>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="titleInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.TitleT']})</ui:define>
        <h:inputText id="titleInput" value="#{subjectBean.title}"
                     styleClass="form-control"/>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="givennameInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.GivenNameGIVENNAME']})</ui:define>
        <h:inputText id="givennameInput" value="#{subjectBean.givenName}"
                     styleClass="form-control"/>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="surnameInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.SurnameSURNAME']})</ui:define>
        <h:inputText id="surnameInput" value="#{subjectBean.surname}"
                     styleClass="form-control"/>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="orgUnitInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.OrganizationalUnitOU']})</ui:define>
        <h:inputText id="orgUnitInput" value="#{subjectBean.organizationalUnit}"
                     styleClass="form-control"/>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:param name="id" value="emailInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.EMailE']})</ui:define>
        <h:inputText id="emailInput" value="#{subjectBean.eMail}"
                     styleClass="form-control"/>
    </s:decorate>

    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{displaySubjectAlternativeNameInput}">
        <ui:param name="id" value="sanInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.atna.SubjectAlternativeNames']}
            <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                <ui:param name="id" value="sanPopover"/>
                <ui:define name="content">#{messages['net.ihe.gazelle.atna.InputThePossibleDNSeparatedByAComaexamplecomexam']})</ui:define>
            </ui:decorate>
        </ui:define>

        <h:inputText id="sanInput" required="false" value="#{subjectBean.subjectAltName}"
                     styleClass="form-control">
            <rich:placeholder value="*.example.com, *.example2.com,*.example3.com ..."></rich:placeholder>
        </h:inputText>
    </s:decorate>

</ui:composition>